body,
h1,
h2,
h3,
h4,
h5,
h6,
p,
ul,
ol {
  margin: 0;
  padding: 0;
  text-align: center;
  font-family: "Gill Sans", "Gill Sans MT", Calibri, "Trebuchet MS", sans-serif;
}

body {
  font-family: Arial, sans-serif;
  background-color: #f0f8f7;
  color: #333;
  margin: 0;
  padding: 0;
  display: flex;
  flex-direction: column;
  min-height: 100vh;
}

header {
  background-color: #0f5751;
  color: white;
  text-align: center;
  padding: 15px;
}

.logo img {
  width: 200px;
}

/* Filters */
.horizontal-list-container {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 5px;
  width: 100%;
}

.filter-row {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 5px;
  width: 100%;
  margin: 0;
  box-sizing: border-box;
}

.filter-button {
  margin: 4px;
  padding: 7px 10px;
  background-color: #236e6b;
  color: #fff;
  border: none;
  border-radius: 4px;
  cursor: pointer;
  transition: background-color 0.3s ease;
  white-space: nowrap;
  font-size: 14px; 
}

.filter-button.active,
.filter-button:hover {
  background-color: transparent;
}

#dropdown-arrow {
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 14px;
  margin: 4px;
  padding: 7px 10px;
  background-color: #236e6b;
  color: #fff;
  border: none;
  border-radius: 4px;
  white-space: nowrap;
  cursor: pointer;
  transition: background-color 0.3s ease;

}

#dropdown-arrow i {
  font-size: 14px;
  transition: transform 0.3s ease;
}

.horizontal-list-container.active #dropdown-arrow i {
  transform: rotate(-180deg);
}

.second-row {
  display: none;
  flex-wrap: wrap;
  justify-content: center;
  gap: 5px;
}

.horizontal-list-container.active .second-row {
  display: flex;
}

.second-row {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 5px; 
  max-height: 0;
  overflow: hidden;
  transition: max-height 0.5s ease, opacity 0.3s ease;
  opacity: 0; 
}

.horizontal-list-container.active .second-row {
  max-height: 200px; 
  opacity: 1; 
}

.whatsapp-logo {
  display: block;
  position: fixed;
  width: 60px;
  height: auto;
  bottom: 10rem;
  right: 10px;
  z-index: 2;
}

/* Gallery styles */
.gallery-container {
  display: flex;
  align-items: center;
  justify-content: center;
  margin-right: 15px;
}


.portraits {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-around;
  margin: 7px;
}

.portraits img {
  margin: 5px;
  border-radius: 5px;
  object-fit: cover;
}

.weddings {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-around;
  margin: 7px;
}

.weddings img {
  margin: 5px;
  border-radius: 5px;
  object-fit: cover;
}

.boudoir {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-around;
  margin: 7px;
}

.boudoir img {
  margin: 5px;
  border-radius: 5px;
  object-fit: cover;
}

.creative {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-around;
  margin: 7px;
}

.creative img {
  margin: 5px;
  border-radius: 5px;
  object-fit: cover;
}

.kwanjura {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-around;
  margin: 7px;
}

.kwanjura img {
  margin: 5px;
  border-radius: 5px;
  object-fit: cover;
}

.pre-wedding {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-around;
  margin: 7px;
}

.pre-wedding img {
  margin: 5px;
  border-radius: 5px;
  object-fit: cover;
}

.kukyala {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-around;
  margin: 7px;
}

.kukyala img {
  margin: 5px;
  border-radius: 5px;
  object-fit: cover;
}

.documentary {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-around;
  margin: 7px;
}

.documentary img {
  margin: 5px;
  border-radius: 5px;
  object-fit: cover;
}

.thumbnails {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-around;
}

.thumbnails a {
  display: inline-block;
  margin: 5px;
}

.thumbnails img {
  max-width: 100%;
  max-height: 250px;
  margin: 10px;
  cursor: pointer;
  transition: transform 0.2s;
  width: 200px;
  height: auto;
  margin: 8px;
}

.thumbnails img:hover {
  transform: scale(1.05);
}

.thumbnails video {
  width: 100%;
  height: 200px;
  object-fit: cover;
  border-radius: 8px;
  cursor: pointer;
}

/* Lightbox styles */
.lightbox {
  display: none;
  position: fixed;
  z-index: 999;
  padding-top: 60px;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.9);
  text-align: center;
}

.lightbox-content {
  margin: auto;
  display: block;
  max-width: 90%;
  max-height: 80%;
}

.close {
  color: #fff;
  position: absolute;
  top: 20px;
  right: 30px;
  font-size: 30px;
  font-weight: bold;
  cursor: pointer;
}

.close:hover,
.close:focus {
  color: #bbb;
  text-decoration: none;
  cursor: pointer;
}

.animated-image {
  opacity: 0;
  transform: scale(0.8);
  transition: opacity 1s ease, transform 1.5s ease;
}

.animated-image.loaded {
  opacity: 1;
  transform: scale(1);
}

/* Media query for responsiveness */
@media (max-width: 768px) {
  .thumbnails img {
    width: 95vw;
    max-height: 100%;
  }

  .lightbox-content {
    max-width: 85%;
    max-height: 80%;
  }
}

@media (max-width: 235px) {
  .logo img {
    width: 50px;
  }
}

#scrollToTopBtn {
  position: fixed;
  bottom: 100px;
  right: 20px;
  width: 40px;
  height: 40px;
  background-color: #ffffff;
  border: none;
  border-radius: 50%;
  cursor: pointer;
  display: none;
  align-items: center;
  justify-content: center;
  font-size: 20px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.025);
  z-index: 1000;
  transition: opacity 0.4s ease;
}

#scrollToTopBtn.show {
  display: flex;
  opacity: 1;
}

#scrollToTopBtn:hover {
  background-color: #fdfdfd;
}

/*Footer*/
/*Socials toolkit*/
ul {
  list-style: none;
}

.socials {
  display: flex;
  justify-content: center;
  align-items: center;
}
.socials .icon-content {
  margin: 0 10px;
  position: relative;
}
.socials .icon-content .tooltip {
  position: absolute;
  top: -30px;
  left: 50%;
  transform: translateX(-50%);
  color: #fff;
  padding: 6px 10px;
  border-radius: 5px;
  opacity: 0;
  visibility: hidden;
  font-size: 14px;
  transition: all 0.3s ease;
}
.socials .icon-content:hover .tooltip {
  opacity: 1;
  visibility: visible;
  top: -50px;
}
.socials .icon-content a {
  position: relative;
  overflow: hidden;
  display: flex;
  justify-content: center;
  align-items: center;
  width: 50px;
  height: 50px;
  border-radius: 50%;
  color: #4d4d4d;
  background-color: #fff;
  transition: all 0.3s ease-in-out;
}
.socials .icon-content a:hover {
  box-shadow: 3px 2px 45px 0px rgb(0 0 0 / 12%);
}
.socials .icon-content a svg {
  position: relative;
  z-index: 1;
  width: 30px;
  height: 30px;
}
.socials .icon-content a:hover {
  color: white;
}
.socials .icon-content a .filled {
  position: absolute;
  top: auto;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 0;
  background-color: #000;
  transition: all 0.3s ease-in-out;
}
.socials .icon-content a:hover .filled {
  height: 100%;
}

.socialssocials .icon-content a[data-social="linkedin"] .filled,
.socials .icon-content a[data-social="linkedin"] ~ .tooltip {
  background-color: #0274b3;
}

.socials .icon-content a[data-social="github"] .filled,
.socials .icon-content a[data-social="github"] ~ .tooltip {
  background-color: #24262a;
}
.socials .icon-content a[data-social="instagram"] .filled,
.socials .icon-content a[data-social="instagram"] ~ .tooltip {
  background: linear-gradient(
    45deg,
    #405de6,
    #5b51db,
    #b33ab4,
    #c135b4,
    #e1306c,
    #fd1f1f
  );
}
.socials .icon-content a[data-social="youtube"] .filled,
.socials .icon-content a[data-social="youtube"] ~ .tooltip {
  background-color: #ff0000;
}
/* Existing styles */
.socials .icon-content a[data-social="tiktok"] .filled,
.socials .icon-content a[data-social="tiktok"] ~ .tooltip {
  background-color: #000;
}

.socials .icon-content a[data-social="tiktok"] .filled {
  background: linear-gradient(45deg, #000000, #000000);
}

.socials .icon-content a[data-social="tiktok"] .tooltip {
  background: #000; /* Tooltip background for TikTok */
}

/* Footer */
.footer-container {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  padding: 30px;
  background-color: #f8f8f8;
  text-align: center;
}

.footer-container > div {
  margin: 15px 0;
}

/* Contact Information and Business Hours */
.contact-info,
.business-hours {
  max-width: 300px;
}

.contact-and-bhrs {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: row;
  gap: 45px;
}

@media (max-width: 768px) {
  .contact-and-bhrs {
    flex-direction: column;
  }
}

.footer-container h4 {
  color: #004d40;
  margin-bottom: 10px;
}

/* Links Styling */
.footer-container a {
  color: #0f5751;
  text-decoration: none;
  transition: color 0.3s;
}

.footer-container a:hover {
  color: #00796b;
}

.footer-bottom {
  text-align: center;
  padding-top: 10px;
  border-top: 1px solid #ddd;
  font-size: 0.9rem;
  color: #000000;
}


